import java.net.InetAddress;

public class NetworkToBank {

	private Log log;
	private InetAddress bankAddress;

	/**
	 * 
	 * @param log
	 * @param bankAddress
	 */
	public NetworkToBank(Log log, InetAddress bankAddress) {
		// TODO - implement NetworkToBank.NetworkToBank
		throw new UnsupportedOperationException();
	}

	public void openConnection() {
		// TODO - implement NetworkToBank.openConnection
		throw new UnsupportedOperationException();
	}

	public void closeConnection() {
		// TODO - implement NetworkToBank.closeConnection
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param message
	 * @param balances
	 */
	public Status sendMessage(Message message, Balances balances) {
		// TODO - implement NetworkToBank.sendMessage
		throw new UnsupportedOperationException();
	}

	public Log getLog() {
		return log;
	}

	public void setLog(Log log) {
		this.log = log;
	}

	public InetAddress getBankAddress() {
		return bankAddress;
	}

	public void setBankAddress(InetAddress bankAddress) {
		this.bankAddress = bankAddress;
	}

}
